Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.javadoc
Class JavadocTag

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.javadoc.JavadocTag

    public class JavadocTag

extends Object

Represents a Javadoc tag. Provides methods to query what type of tag it is.

Author:
  Oliver Burn

Constructor Summary
`JavadocTag(int aLine, int aColumn, String aTag)` Constructs the object.
`JavadocTag(int aLine, int aColumn, String aTag, String aArg1)` Constructs the object.

Method Summary
`boolean` | `canReferenceImports()`
`String` | `getArg1()`
`int` | `getColumnNo()`
`int` | `getLineNo()`
`String` | `getTagName()`
`boolean` | `isAuthorTag()`
`boolean` | `isInheritDocTag()`
`boolean` | `isParamTag()`
`boolean` | `isReturnTag()`
`boolean` | `isSeeOrInheritDocTag()`
`boolean` | `isThrowsTag()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavadocTag

    public JavadocTag(int aLine,
                      int aColumn,
                      String aTag,
                      String aArg1)

  Constructs the object.

  Parameters:
    `aLine` - the line number of the tag
    `aColumn` - the column number of the tag
    `aTag` - the tag string
    `aArg1` - the tag argument

### JavadocTag

    public JavadocTag(int aLine,
                      int aColumn,
                      String aTag)

  Constructs the object.

  Parameters:
    `aLine` - the line number of the tag
    `aColumn` - the column number of the tag
    `aTag` - the tag string

Method Detail

### getTagName

    public String getTagName()

  Returns:
    the tag string

### getArg1

    public String getArg1()

  Returns:
    the first argument. null if not set.

### getLineNo

    public int getLineNo()

  Returns:
    the line number

### getColumnNo

    public int getColumnNo()

  Returns:
    the column number

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### isAuthorTag

    public boolean isAuthorTag()

  Returns:
    whether the tag is an 'author' tag

### isReturnTag

    public boolean isReturnTag()

  Returns:
    whether the tag is an 'return' tag

### isParamTag

    public boolean isParamTag()

  Returns:
    whether the tag is an 'param' tag

### isThrowsTag

    public boolean isThrowsTag()

  Returns:
    whether the tag is an 'throws' or 'exception' tag

### isSeeOrInheritDocTag

    public boolean isSeeOrInheritDocTag()

  Returns:
    whether the tag is a 'see' or 'inheritDoc' tag

### isInheritDocTag

    public boolean isInheritDocTag()

  Returns:
    whether the tag is a 'inheritDoc' tag

### canReferenceImports

    public boolean canReferenceImports()

  Returns:
    whether the tag can contain references to imported classes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011. All Rights Reserved.